using BarDataModels.Models;
using System.ComponentModel;

namespace BarContracts.ViewModels
{
    public class CocktailViewModel : ICocktailModel
    {
        public int Id { get; set; }

        [DisplayName("Название Коктейльа")]        
        public string CocktailName { get; set; } = string.Empty;

        [DisplayName("Цена")]        
        public double Price { get; set; }
        
        public Dictionary<int, (IComponentModel, int)> CocktailComponents
        {
            get;
            set;
        } = new();
    }
}
